## converseen 0.12.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

project(converseen)

option(USE_QT6 "Enable this if you want to use Qt6, instead of Qt5" NO)

set(GUI "converseen")
set(QT_USE_QTNETWORK TRUE)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(GNUInstallDirs)

if (USE_QT6)
    find_package(Qt6 COMPONENTS Core Gui Network Widgets LinguistTools REQUIRED)
else ()
    find_package(Qt5 COMPONENTS Core Gui Network Widgets LinguistTools REQUIRED)
endif()

find_package(ImageMagick REQUIRED COMPONENTS Magick++ MagickWand MagickCore)

set(converseen_SOURCES
    src/main.cpp
    src/cachingsystem.cpp
    src/combofilters.cpp
    src/converter.cpp
    src/dialogconversionstatus.cpp
    src/dialoginfo.cpp
    src/dialogmultipageeditor.cpp
    src/dialogoptions.cpp
    src/dialogquality.cpp
    src/dialogshowupdatemsg.cpp
    src/formats.cpp
    src/globals.cpp
    src/inisettings.cpp
    src/mainwindowimpl.cpp
    src/mylabelpreviewer.cpp
    src/pixtreewidget.cpp
    src/pushcolorchooser.cpp
    src/sizeutil.cpp
    src/thumbnailgeneratorthread.cpp
    src/translator.cpp
    src/updatechecker.cpp
    src/magickdefine.cpp
    src/Modules/multipageconverter.cpp
)

set(converseen_HEADERS
    src/cachingsystem.h
    src/combofilters.h
    src/converter.h
    src/dialogconversionstatus.h
    src/dialoginfo.h
    src/dialogmultipageeditor.h
    src/dialogoptions.h
    src/dialogquality.h
    src/dialogshowupdatemsg.h
    src/formats.h
    src/globals.h
    src/inisettings.h
    src/mainwindowimpl.h
    src/mylabelpreviewer.h
    src/pixtreewidget.h
    src/pushcolorchooser.h
    src/sizeutil.h
    src/thumbnailgeneratorthread.h
    src/translator.h
    src/updatechecker.h
    src/magickdefine.cpp
    src/Modules/multipageconverter.h
)

set(converseen_UIS
    ui/dialogconversionstatus.ui
    ui/dialoginfo.ui
    ui/dialogmultipageeditor.ui
    ui/dialogshowupdatemsg.ui
    ui/dialogoptions.ui
    ui/dialogquality.ui
    ui/mainwindow.ui
)

set(converseen_RESOURCES
    resources.qrc
)

set(converseen_LANG
    loc/converseen_tr_TR.ts
    loc/converseen_fr_FR.ts
    loc/converseen_es_CL.ts
    loc/converseen_pt_BR.ts
    loc/converseen_cs_CZ.ts
    loc/converseen_hu_HU.ts
    loc/converseen_de_DE.ts
    loc/converseen_it_IT.ts
    loc/converseen_ru_RU.ts
    loc/converseen_pl_PL.ts
    loc/converseen_ja_JP.ts
    loc/converseen_da_DK.ts
    loc/converseen_uk_UA.ts
    loc/converseen_sv_SE.ts
    loc/converseen_zh_CN.ts
)

if (USE_QT6)
    qt6_wrap_ui(converseen_UIS_H ${converseen_UIS})
    qt6_wrap_cpp(converseen_MOC_SRCS ${converseen_HEADERS})
    qt6_add_resources(converseen_RESOURCES ${converseen_RESOURCES})
    qt6_add_translation(converseen_RESOURCES ${converseen_LANG})
else ()
    qt5_wrap_ui(converseen_UIS_H ${converseen_UIS})
    qt5_wrap_cpp(converseen_MOC_SRCS ${converseen_HEADERS})
    qt5_add_resources(converseen_RESOURCES ${converseen_RESOURCES})
    qt5_add_translation(converseen_RESOURCES ${converseen_LANG})
endif()

add_definitions(
    -Wall
    -std=c++17
    -fPIC
    -DMAGICKCORE_HDRI_ENABLE=0
    -DMAGICKCORE_QUANTUM_DEPTH=16
    ${QT_DEFINITIONS}
)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${ImageMagick_INCLUDE_DIRS}
    ${ImageMagick_Magick++_INCLUDE_DIRS}
    ${ImageMagick_MagickCore_INCLUDE_DIRS}
    .
)

add_executable(${GUI}
    ${converseen_SOURCES}
    ${converseen_UIS_H}
    ${converseen_MOC_SRCS}
    ${converseen_RESOURCES}
)

if (USE_QT6)
    target_link_libraries(${GUI}
        Qt6::Core
        Qt6::Gui
        Qt6::Network
        Qt6::Widgets
        ${ImageMagick_LIBRARIES}
    )
else ()
    target_link_libraries(${GUI}
        Qt5::Core
        Qt5::Gui
        Qt5::Network
        Qt5::Widgets
        ${ImageMagick_LIBRARIES}
    )
endif()

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
install(FILES res/icons/16x16/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
install(FILES res/icons/32x32/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
install(FILES res/icons/48x48/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
install(FILES res/icons/64x64/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps)
install(FILES res/icons/128x128/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
install(FILES res/icons/256x256/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
install(FILES res/icons/512x512/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)

foreach(LANG ${converseen_LANG})
    string(REGEX REPLACE ".*/" "" TS_FILE ${LANG})
    string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
endforeach()

=== debian/changelog ===
converseen (0.12.0.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 31 Dec 2023 08:57:18 -0800

converseen (0.12.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Dec 2023 22:15:30 +0100

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               imagemagick,
               libmagick++-dev,
               libmagickcore-dev,
               libmagickwand-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT = 5

BUILDDIR=$(CURDIR)/build/

%:
	dh $@ --builddir=$(BUILDDIR)

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## converseen 0.12.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,16 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-project(converseen)
+if(WIN32)
+    cmake_policy(SET CMP0135 NEW)
+endif()
+
+set(CONVERSEEN_VERSION 0.12.1.0)
+
+project(
+    converseen
+    VERSION ${CONVERSEEN_VERSION}
+    LANGUAGES CXX)
+set(PROJECT_NAME_CAPITALIZED "Converseen")
 
 option(USE_QT6 "Enable this if you want to use Qt6, instead of Qt5" NO)
 
@@ -114,14 +124,36 @@
     qt5_add_translation(converseen_RESOURCES ${converseen_LANG})
 endif()
 
-add_definitions(
-    -Wall
-    -std=c++17
-    -fPIC
-    -DMAGICKCORE_HDRI_ENABLE=0
-    -DMAGICKCORE_QUANTUM_DEPTH=16
-    ${QT_DEFINITIONS}
-)
+if(WIN32)
+    find_program(windeployqt_exe windeployqt REQUIRED)
+    configure_file(cmake/windeployqt.cmake.in ${CMAKE_BINARY_DIR}/windeployqt.cmake @ONLY)
+    set(app_icon_resource_windows "converseen.rc")
+
+    set(CMAKE_WIN32_EXECUTABLE TRUE)
+    add_definitions(${QT_DEFINITIONS})
+
+    include(ExternalProject)
+    ExternalProject_Add(
+        OpenSSL_Win32
+        PREFIX ${CMAKE_BINARY_DIR}/external 
+        URL https://download.firedaemon.com/FireDaemon-OpenSSL/openssl-1.1.1w.zip 
+        DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/downloads
+        DOWNLOAD_NAME openssl-1.1.1w.zip
+        CONFIGURE_COMMAND ""
+        BUILD_COMMAND ""
+        INSTALL_COMMAND ""
+        # DOWNLOAD_EXTRACT_TIMESTAMP TRUE
+    )
+else()
+    add_definitions(
+        -Wall
+        -std=c++17
+        -fPIC
+        -DMAGICKCORE_HDRI_ENABLE=0
+        -DMAGICKCORE_QUANTUM_DEPTH=16
+        ${QT_DEFINITIONS}
+    )
+endif()
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
@@ -136,6 +168,7 @@
     ${converseen_UIS_H}
     ${converseen_MOC_SRCS}
     ${converseen_RESOURCES}
+    $<$<BOOL:${WIN32}>:${app_icon_resource_windows}>
 )
 
 if (USE_QT6)
@@ -146,7 +179,7 @@
         Qt6::Widgets
         ${ImageMagick_LIBRARIES}
     )
-else ()
+else()
     target_link_libraries(${GUI}
         Qt5::Core
         Qt5::Gui
@@ -156,20 +189,100 @@
     )
 endif()
 
-install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
-install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
-install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
-install(FILES res/icons/16x16/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
-install(FILES res/icons/32x32/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
-install(FILES res/icons/48x48/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
-install(FILES res/icons/64x64/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps)
-install(FILES res/icons/128x128/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
-install(FILES res/icons/256x256/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
-install(FILES res/icons/512x512/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
-
-foreach(LANG ${converseen_LANG})
-    string(REGEX REPLACE ".*/" "" TS_FILE ${LANG})
-    string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
-endforeach()
+
+if(WIN32)
+    #set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP TRUE)
+
+    #include(InstallRequiredSystemLibraries)
+
+    file(GLOB ImageMagick_DLLs ${ImageMagick_EXECUTABLE_DIR}/CORE_RL_*.dll)
+    file(GLOB ImageMagick_Filters ${ImageMagick_EXECUTABLE_DIR}/modules/filters/*.dll)
+    file(GLOB ImageMagick_Coders ${ImageMagick_EXECUTABLE_DIR}/modules/coders/*.dll)
+    file(GLOB ImageMagick_XMLs ${ImageMagick_EXECUTABLE_DIR}/*.xml)
+    file(GLOB OpenSSL_x86_DLLs ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/*.dll)
+    #file(GLOB Win32_DLLs ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}/*.dll)
+    file(GLOB Win32_DLLs 
+        ${ImageMagick_EXECUTABLE_DIR}/mfc140*.dll
+        ${ImageMagick_EXECUTABLE_DIR}/msvcp140*.dll
+        ${ImageMagick_EXECUTABLE_DIR}/vc*140.dll
+    )
+
+    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen.exe DESTINATION .)
+    install(FILES package/Windows/qt.conf DESTINATION .)
+    install(FILES ${ImageMagick_DLLs} DESTINATION .)
+    install(FILES ${ImageMagick_Filters} DESTINATION ./modules/filters)
+    install(FILES ${ImageMagick_Coders} DESTINATION ./modules/coders)
+    install(FILES ${ImageMagick_XMLs} DESTINATION .)
+    install(FILES ${ImageMagick_EXECUTABLE_DIR}/sRGB.icc DESTINATION .)
+    install(FILES ${ImageMagick_EXECUTABLE_DIR}/NOTICE.txt RENAME ImageMagick_License.txt DESTINATION .)
+    install(FILES ${OpenSSL_x86_DLLs} DESTINATION .)
+    install(FILES ${Win32_DLLs} DESTINATION .)
+    #install(FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} DESTINATION .)
+    
+    install(SCRIPT ${CMAKE_BINARY_DIR}/windeployqt.cmake)
+
+    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/qtdeploy/ DESTINATION . FILES_MATCHING PATTERN "*")
+
+    foreach(LANG ${converseen_LANG})
+        string(REGEX REPLACE ".*/" "" TS_FILE ${LANG})
+        string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ./loc)
+    endforeach()
+else()
+    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+    install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
+    install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
+    install(FILES res/icons/16x16/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
+    install(FILES res/icons/32x32/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
+    install(FILES res/icons/48x48/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
+    install(FILES res/icons/64x64/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps)
+    install(FILES res/icons/128x128/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
+    install(FILES res/icons/256x256/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
+    install(FILES res/icons/512x512/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
+
+    foreach(LANG ${converseen_LANG})
+        string(REGEX REPLACE ".*/" "" TS_FILE ${LANG})
+        string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+    endforeach()
+endif()
+
+    # CPack
+    set(CPACK_PACKAGE_VENDOR "Francesco Mondello")
+    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Converseen the Batch Image Converter and Resizer")
+    set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
+    set(CPACK_PACKAGE_HOMEPAGE_URL "https:/converseen.fasterland.net")
+    set(CPACK_PACKAGE_CONTACT "Contact Author <faster3ck@gmail.net>")
+    set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/COPYING.txt")
+    set(CPACK_GENERATOR WIX ZIP)
+    set(CPACK_PACKAGE_NAME "${PROJECT_NAME_CAPITALIZED}")
+    set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME_CAPITALIZED}")
+    set(CPACK_PACKAGE_EXECUTABLES ${PROJECT_NAME} "${PROJECT_NAME_CAPITALIZED}")
+    set(CPACK_CREATE_DESKTOP_LINKS ${PROJECT_NAME} "${PROJECT_NAME_CAPITALIZED}")
+    set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME_CAPITALIZED}")
+
+if(WIN32)
+    # WIX (Windows .msi installer)
+    set(CPACK_WIX_PRODUCT_ICON "${CMAKE_SOURCE_DIR}/res/converseen.ico")
+    set(CPACK_WIX_UI_BANNER "${CMAKE_SOURCE_DIR}/package/Windows/wix/CPACK_WIX_UI_BANNER.BMP")
+    set(CPACK_WIX_UI_DIALOG "${CMAKE_SOURCE_DIR}/package/Windows/wix/CPACK_WIX_UI_DIALOG.BMP")
+    set(CPACK_WIX_PROPERTY_ARPHELPLINK "${CPACK_PACKAGE_HOMEPAGE_URL}")
+    set(CPACK_WIX_PROPERTY_ARPURLINFOABOUT "${CPACK_PACKAGE_HOMEPAGE_URL}")
+    set(CPACK_WIX_ROOT_FEATURE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
+    set(CPACK_WIX_LIGHT_EXTRA_FLAGS "-dcl:high")
+
+    set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
+    set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
+
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000001")
+    set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
+
+    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)
+    set(CPACK_WIX_PATCH_FILE "wixCheckInnoVersion.xml")
+
+    configure_file(cmake/RemoveInnoVersion.vbs.in ${CMAKE_BINARY_DIR}/RemoveInnoVersion.vbs)
+
+    include(CPack)
+endif()
+

=== debian/changelog ===
converseen (0.12.1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:22 +1100

converseen (0.12.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:08:16 +0000

converseen (0.12.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Feb 2024 09:43:45 +0100

converseen (0.12.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Jan 2024 20:45:15 +0100

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
 libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/Faster3ck/Converseen/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## converseen 0.12.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.12.1.0)
+set(CONVERSEEN_VERSION 0.12.2.3)
 
 project(
     converseen
@@ -231,7 +231,7 @@
 else()
     install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
     install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-    install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
+    install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kio/servicemenus)
     install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
     install(FILES res/icons/16x16/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
     install(FILES res/icons/32x32/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
@@ -275,7 +275,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000001")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000005")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)

=== debian/changelog ===
converseen (0.12.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Apr 2024 17:20:12 +0200

converseen (0.12.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Mar 2024 17:56:24 +0100

converseen (0.12.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Mar 2024 09:04:37 +0100

## converseen 0.12.2.4

=== debian/changelog ===
converseen (0.12.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Nov 2024 11:16:05 +0100

## converseen 0.12.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.12.2.3)
+set(CONVERSEEN_VERSION 0.12.2.5)
 
 project(
     converseen
@@ -76,7 +76,7 @@
     src/thumbnailgeneratorthread.h
     src/translator.h
     src/updatechecker.h
-    src/magickdefine.cpp
+    src/magickdefine.h
     src/Modules/multipageconverter.h
 )
 
@@ -275,7 +275,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000005")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000010")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)

=== debian/changelog ===
converseen (0.12.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Jan 2025 21:00:54 +0100

## converseen 0.13.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.12.2.5)
+set(CONVERSEEN_VERSION 0.13.0.0)
 
 project(
     converseen
@@ -275,7 +275,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000010")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000011")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)

=== debian/changelog ===
converseen (0.13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Mar 2025 14:44:21 +0100

## converseen 0.13.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.13.0.0)
+set(CONVERSEEN_VERSION 0.13.0.1)
 
 project(
     converseen
@@ -199,7 +199,7 @@
     file(GLOB ImageMagick_Filters ${ImageMagick_EXECUTABLE_DIR}/modules/filters/*.dll)
     file(GLOB ImageMagick_Coders ${ImageMagick_EXECUTABLE_DIR}/modules/coders/*.dll)
     file(GLOB ImageMagick_XMLs ${ImageMagick_EXECUTABLE_DIR}/*.xml)
-    file(GLOB OpenSSL_x86_DLLs ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/*.dll)
+    #file(GLOB OpenSSL_x86_DLLs ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/*.dll)
     #file(GLOB Win32_DLLs ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}/*.dll)
     file(GLOB Win32_DLLs 
         ${ImageMagick_EXECUTABLE_DIR}/mfc140*.dll
@@ -215,7 +215,9 @@
     install(FILES ${ImageMagick_XMLs} DESTINATION .)
     install(FILES ${ImageMagick_EXECUTABLE_DIR}/sRGB.icc DESTINATION .)
     install(FILES ${ImageMagick_EXECUTABLE_DIR}/NOTICE.txt RENAME ImageMagick_License.txt DESTINATION .)
-    install(FILES ${OpenSSL_x86_DLLs} DESTINATION .)
+    #install(FILES ${OpenSSL_x86_DLLs} DESTINATION .)
+    install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libcrypto-1_1.dll DESTINATION .)
+	install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libssl-1_1.dll DESTINATION .)
     install(FILES ${Win32_DLLs} DESTINATION .)
     #install(FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} DESTINATION .)
     
@@ -275,7 +277,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000011")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000023")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)

=== debian/changelog ===
converseen (0.13.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Mar 2025 10:00:06 +0200

## converseen 0.14.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.13.0.1)
+set(CONVERSEEN_VERSION 0.14.0.0)
 
 project(
     converseen
@@ -277,7 +277,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000023")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000024")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)

=== debian/changelog ===
converseen (0.14.0.0-1) unstable; urgency=medium

  * New upstream release:
    - images are now displayed and converted with the correct orientation
      when Exif orientation data is present,
    - fixed a bug when importing TIF files,
    - updated Russian translation,
    - various bugfixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 May 2025 18:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: converseen
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://converseen.fasterland.net/

## converseen 0.15.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.14.0.0)
+set(CONVERSEEN_VERSION 0.15.0.1)
 
 project(
     converseen
@@ -125,25 +125,34 @@
 endif()
 
 if(WIN32)
-    find_program(windeployqt_exe windeployqt REQUIRED)
+    if (USE_QT6)
+	find_program(windeployqt_exe windeployqt6 REQUIRED)
+    else ()
+	find_program(windeployqt_exe windeployqt REQUIRED)
+    endif()
     configure_file(cmake/windeployqt.cmake.in ${CMAKE_BINARY_DIR}/windeployqt.cmake @ONLY)
     set(app_icon_resource_windows "converseen.rc")
 
     set(CMAKE_WIN32_EXECUTABLE TRUE)
     add_definitions(${QT_DEFINITIONS})
-
-    include(ExternalProject)
-    ExternalProject_Add(
-        OpenSSL_Win32
-        PREFIX ${CMAKE_BINARY_DIR}/external 
-        URL https://download.firedaemon.com/FireDaemon-OpenSSL/openssl-1.1.1w.zip 
-        DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/downloads
-        DOWNLOAD_NAME openssl-1.1.1w.zip
-        CONFIGURE_COMMAND ""
-        BUILD_COMMAND ""
-        INSTALL_COMMAND ""
-        # DOWNLOAD_EXTRACT_TIMESTAMP TRUE
-    )
+	
+	set(CMAKE_INSTALL_BINDIR "${PROJECT_NAME_CAPITALIZED}")
+
+	if (NOT USE_QT6)
+		# Download openssl if Qt5 is used!
+		include(ExternalProject)
+		ExternalProject_Add(
+			OpenSSL_Win32
+			PREFIX ${CMAKE_BINARY_DIR}/external 
+			URL https://download.firedaemon.com/FireDaemon-OpenSSL/openssl-1.1.1w.zip 
+			DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/downloads
+			DOWNLOAD_NAME openssl-1.1.1w.zip
+			CONFIGURE_COMMAND ""
+			BUILD_COMMAND ""
+			INSTALL_COMMAND ""
+			# DOWNLOAD_EXTRACT_TIMESTAMP TRUE
+		)
+	endif()
 else()
     add_definitions(
         -Wall
@@ -189,46 +198,39 @@
     )
 endif()
 
-
-if(WIN32)
-    #set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP TRUE)
-
-    #include(InstallRequiredSystemLibraries)
-
+if(WIN32)
     file(GLOB ImageMagick_DLLs ${ImageMagick_EXECUTABLE_DIR}/CORE_RL_*.dll)
     file(GLOB ImageMagick_Filters ${ImageMagick_EXECUTABLE_DIR}/modules/filters/*.dll)
     file(GLOB ImageMagick_Coders ${ImageMagick_EXECUTABLE_DIR}/modules/coders/*.dll)
     file(GLOB ImageMagick_XMLs ${ImageMagick_EXECUTABLE_DIR}/*.xml)
-    #file(GLOB OpenSSL_x86_DLLs ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/*.dll)
-    #file(GLOB Win32_DLLs ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}/*.dll)
     file(GLOB Win32_DLLs 
         ${ImageMagick_EXECUTABLE_DIR}/mfc140*.dll
         ${ImageMagick_EXECUTABLE_DIR}/msvcp140*.dll
         ${ImageMagick_EXECUTABLE_DIR}/vc*140.dll
     )
 
-    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen.exe DESTINATION .)
-    install(FILES package/Windows/qt.conf DESTINATION .)
-    install(FILES ${ImageMagick_DLLs} DESTINATION .)
-    install(FILES ${ImageMagick_Filters} DESTINATION ./modules/filters)
-    install(FILES ${ImageMagick_Coders} DESTINATION ./modules/coders)
-    install(FILES ${ImageMagick_XMLs} DESTINATION .)
-    install(FILES ${ImageMagick_EXECUTABLE_DIR}/sRGB.icc DESTINATION .)
-    install(FILES ${ImageMagick_EXECUTABLE_DIR}/NOTICE.txt RENAME ImageMagick_License.txt DESTINATION .)
-    #install(FILES ${OpenSSL_x86_DLLs} DESTINATION .)
-    install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libcrypto-1_1.dll DESTINATION .)
-	install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libssl-1_1.dll DESTINATION .)
-    install(FILES ${Win32_DLLs} DESTINATION .)
-    #install(FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} DESTINATION .)
+    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen.exe DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${ImageMagick_DLLs} DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${ImageMagick_Filters} DESTINATION ${CMAKE_INSTALL_BINDIR}/modules/filters)
+    install(FILES ${ImageMagick_Coders} DESTINATION ${CMAKE_INSTALL_BINDIR}/modules/coders)
+    install(FILES ${ImageMagick_XMLs} DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${ImageMagick_EXECUTABLE_DIR}/sRGB.icc DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${ImageMagick_EXECUTABLE_DIR}/NOTICE.txt RENAME ImageMagick_License.txt DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${Win32_DLLs} DESTINATION ${CMAKE_INSTALL_BINDIR})
+	
+	if (NOT USE_QT6)
+		install(FILES package/Windows/qt.conf DESTINATION ${CMAKE_INSTALL_BINDIR})
+		install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libcrypto-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
+		install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libssl-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
+	endif()
+	
+	install(SCRIPT ${CMAKE_BINARY_DIR}/windeployqt.cmake)
+	install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/qtdeploy/ DESTINATION ${CMAKE_INSTALL_BINDIR} FILES_MATCHING PATTERN "*")
     
-    install(SCRIPT ${CMAKE_BINARY_DIR}/windeployqt.cmake)
-
-    install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/qtdeploy/ DESTINATION . FILES_MATCHING PATTERN "*")
-
     foreach(LANG ${converseen_LANG})
         string(REGEX REPLACE ".*/" "" TS_FILE ${LANG})
         string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ./loc)
+        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_BINDIR}/loc)
     endforeach()
 else()
     install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
@@ -251,6 +253,8 @@
 endif()
 
     # CPack
+	set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY OFF)
+	
     set(CPACK_PACKAGE_VENDOR "Francesco Mondello")
     set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Converseen the Batch Image Converter and Resizer")
     set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
@@ -277,14 +281,8 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000024")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000026")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
-    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/wixCheckInnoVersion.xml.in" wixCheckInnoVersion.xml)
-    set(CPACK_WIX_PATCH_FILE "wixCheckInnoVersion.xml")
-
-    configure_file(cmake/RemoveInnoVersion.vbs.in ${CMAKE_BINARY_DIR}/RemoveInnoVersion.vbs)
-
     include(CPack)
 endif()
-

=== debian/changelog ===
converseen (0.15.0.1-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jul 2025 11:27:36 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/build/

%:
	dh $@ --builddir=$(BUILDDIR)

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## converseen 0.15.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.0.1)
+set(CONVERSEEN_VERSION 0.15.0.2)
 
 project(
     converseen
@@ -281,7 +281,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000026")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000027")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)

=== debian/changelog ===
converseen (0.15.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Aug 2025 17:28:59 +0200

## converseen 0.15.0.3

=== debian/changelog ===
converseen (0.15.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 15 Sep 2025 17:37:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://converseen.fasterland.net/

## converseen 0.15.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.0.2)
+set(CONVERSEEN_VERSION 0.15.1.0)
 
 project(
     converseen
@@ -139,19 +139,20 @@
 	set(CMAKE_INSTALL_BINDIR "${PROJECT_NAME_CAPITALIZED}")
 
 	if (NOT USE_QT6)
-		# Download openssl if Qt5 is used!
-		include(ExternalProject)
-		ExternalProject_Add(
-			OpenSSL_Win32
-			PREFIX ${CMAKE_BINARY_DIR}/external 
-			URL https://download.firedaemon.com/FireDaemon-OpenSSL/openssl-1.1.1w.zip 
-			DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/downloads
-			DOWNLOAD_NAME openssl-1.1.1w.zip
-			CONFIGURE_COMMAND ""
-			BUILD_COMMAND ""
-			INSTALL_COMMAND ""
-			# DOWNLOAD_EXTRACT_TIMESTAMP TRUE
-		)
+		set(OpenSSL_Win32_Path ${CMAKE_BINARY_DIR}/openssl-1.1/x86/bin CACHE PATH "OpenSSL win32 bin path")
+	#	# Download openssl if Qt5 is used!
+	#	include(ExternalProject)
+	#	ExternalProject_Add(
+	#		OpenSSL_Win32
+	#		PREFIX ${CMAKE_BINARY_DIR}/external 
+	#		URL https://download.firedaemon.com/FireDaemon-OpenSSL/openssl-1.1.1w.zip 
+	#		DOWNLOAD_DIR ${CMAKE_BINARY_DIR}/downloads
+	#		DOWNLOAD_NAME openssl-1.1.1w.zip
+	#		CONFIGURE_COMMAND ""
+	#		BUILD_COMMAND ""
+	#		INSTALL_COMMAND ""
+	#		# DOWNLOAD_EXTRACT_TIMESTAMP TRUE
+	#	)
 	endif()
 else()
     add_definitions(
@@ -220,8 +221,8 @@
 	
 	if (NOT USE_QT6)
 		install(FILES package/Windows/qt.conf DESTINATION ${CMAKE_INSTALL_BINDIR})
-		install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libcrypto-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
-		install(FILES ${CMAKE_BINARY_DIR}/external/src/OpenSSL_Win32/x86/bin/libssl-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
+		install(FILES ${OpenSSL_Win32_Path}/libcrypto-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
+		install(FILES ${OpenSSL_Win32_Path}/libssl-1_1.dll DESTINATION ${CMAKE_INSTALL_BINDIR})
 	endif()
 	
 	install(SCRIPT ${CMAKE_BINARY_DIR}/windeployqt.cmake)
@@ -281,7 +282,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000027")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000029")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)

=== debian/changelog ===
converseen (0.15.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Oct 2025 09:08:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://converseen.fasterland.net/
 
 Package: converseen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/build/

%:
	dh $@ --builddir=$(BUILDDIR)

## converseen 0.15.1.1

=== debian/changelog ===
converseen (0.15.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Nov 2025 22:00:50 +0100

## converseen 0.15.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.1.0)
+set(CONVERSEEN_VERSION 0.15.1.2)
 
 project(
     converseen
@@ -282,7 +282,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000029")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000031")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)

=== debian/changelog ===
converseen (0.15.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Nov 2025 18:59:38 +0100

## converseen 0.15.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.1.2)
+set(CONVERSEEN_VERSION 0.15.1.3)
 
 project(
     converseen
@@ -282,7 +282,7 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000031")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000032")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)

=== debian/changelog ===
converseen (0.15.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Dec 2025 11:23:03 +0100

## converseen 0.15.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     cmake_policy(SET CMP0135 NEW)
 endif()
 
-set(CONVERSEEN_VERSION 0.15.1.3)
+set(CONVERSEEN_VERSION 0.15.2.0)
 
 project(
     converseen
@@ -28,6 +28,41 @@
 endif()
 
 find_package(ImageMagick REQUIRED COMPONENTS Magick++ MagickWand MagickCore)
+
+if (APPLE)
+find_library(GS_LIBRARY NAMES gs)
+    if(GS_LIBRARY)
+        get_filename_component(GS_LIB_DIR ${GS_LIBRARY} DIRECTORY)
+        get_filename_component(GS_PREFIX ${GS_LIB_DIR} DIRECTORY)
+
+        file(GLOB GS_VERSION_DIR
+         "${GS_PREFIX}/share/ghostscript/[0-9]*")
+
+        list(GET GS_VERSION_DIR 0 GS_RESOURCE_DIR)
+
+        message(STATUS "Ghostscript resource dir: ${GS_RESOURCE_DIR}")
+
+        install(DIRECTORY "${GS_RESOURCE_DIR}/"
+                DESTINATION "${GUI}.app/Contents/Resources/ghostscript")
+
+        # ImageMagick
+        get_filename_component(IMAGEMAGICK_LIB_DIR
+                       ${ImageMagick_MagickCore_LIBRARY}
+                       DIRECTORY)
+
+        get_filename_component(IMAGEMAGICK_PREFIX
+                            ${IMAGEMAGICK_LIB_DIR}
+                            DIRECTORY)
+
+        message(STATUS "ImageMagick prefix: ${IMAGEMAGICK_PREFIX}")
+
+        set(IMAGEMAGICK_CONFIG_DIR
+            "${IMAGEMAGICK_PREFIX}/etc/ImageMagick-7")
+
+        install(DIRECTORY ${IMAGEMAGICK_CONFIG_DIR}
+                DESTINATION "${GUI}.app/Contents/Resources")
+    endif()
+endif()
 
 set(converseen_SOURCES
     src/main.cpp
@@ -157,7 +192,6 @@
 else()
     add_definitions(
         -Wall
-        -std=c++17
         -fPIC
         -DMAGICKCORE_HDRI_ENABLE=0
         -DMAGICKCORE_QUANTUM_DEPTH=16
@@ -173,13 +207,33 @@
     .
 )
 
-add_executable(${GUI}
-    ${converseen_SOURCES}
-    ${converseen_UIS_H}
-    ${converseen_MOC_SRCS}
-    ${converseen_RESOURCES}
-    $<$<BOOL:${WIN32}>:${app_icon_resource_windows}>
-)
+if(APPLE)
+    set(APP_ICON ${CMAKE_CURRENT_SOURCE_DIR}/res/converseen.icns)
+    set_source_files_properties(${APP_ICON} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources"
+    )
+    
+    set(CMAKE_MACOSX_RPATH ON)
+
+    add_executable(${GUI} MACOSX_BUNDLE
+        ${converseen_SOURCES}
+        ${converseen_UIS_H}
+        ${converseen_MOC_SRCS}
+        ${converseen_RESOURCES}
+        ${APP_ICON}
+    )
+
+    
+else()
+    add_executable(${GUI}
+        ${converseen_SOURCES}
+        ${converseen_UIS_H}
+        ${converseen_MOC_SRCS}
+        ${converseen_RESOURCES}
+        $<$<BOOL:${WIN32}>:${app_icon_resource_windows}>
+    )
+endif()
+
 
 if (USE_QT6)
     target_link_libraries(${GUI}
@@ -233,6 +287,14 @@
         string(REGEX REPLACE ".ts" ".qm" QM_FILE ${TS_FILE})
         install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${QM_FILE} DESTINATION ${CMAKE_INSTALL_BINDIR}/loc)
     endforeach()
+
+
+elseif(APPLE)
+
+    install(TARGETS ${GUI}
+            BUNDLE DESTINATION .
+            RUNTIME DESTINATION bin)
+
 else()
     install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GUI} DESTINATION ${CMAKE_INSTALL_BINDIR})
     install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
@@ -259,7 +321,7 @@
     set(CPACK_PACKAGE_VENDOR "Francesco Mondello")
     set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Converseen the Batch Image Converter and Resizer")
     set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
-    set(CPACK_PACKAGE_HOMEPAGE_URL "https:/converseen.fasterland.net")
+    set(CPACK_PACKAGE_HOMEPAGE_URL "https://converseen.fasterland.net")
     set(CPACK_PACKAGE_CONTACT "Contact Author <faster3ck@gmail.net>")
     set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_GENERATOR WIX ZIP)
@@ -282,8 +344,9 @@
     set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
     set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/COPYING.txt")
 
-    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000032")
+    set(CPACK_WIX_PRODUCT_GUID "B35C58D3-FBD2-4A81-8371-588F51000033")
     set(CPACK_WIX_UPGRADE_GUID "B35C58D3-FBD2-4A81-8371-588F51EC180F")
 
     include(CPack)
 endif()
+

=== debian/changelog ===
converseen (0.15.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2026 10:02:01 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: Faster3ck
Project: Converseen
